Package org.apache.batchee.container.services.persistence

## Class MemoryPersistenceManagerService.Structures.StepExecutionInstanceData

- java.lang.Object
- - org.apache.batchee.container.services.persistence.MemoryPersistenceManagerService.Structures.StepExecutionInstanceData

- All Implemented Interfaces:
    `Serializable`, `MemoryPersistenceManagerService.Structures`
  Enclosing interface:
    MemoryPersistenceManagerService.Structures

      public static class MemoryPersistenceManagerService.Structures.StepExecutionInstanceData
      extends Object
      implements MemoryPersistenceManagerService.Structures

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.batchee.container.services.persistence.MemoryPersistenceManagerService.Structures

      `MemoryPersistenceManagerService.Structures.ExecutionInstanceData, MemoryPersistenceManagerService.Structures.JobInstanceData, MemoryPersistenceManagerService.Structures.StepExecutionInstanceData`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected StepExecutionImpl` | `execution` |
    `protected MemoryPersistenceManagerService.Structures.ExecutionInstanceData` | `jobExec` |
    `protected StepStatus` | `status` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepExecutionInstanceData()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jobExec

          protected MemoryPersistenceManagerService.Structures.ExecutionInstanceData jobExec

    - #### execution

          protected StepExecutionImpl execution

    - #### status

          protected StepStatus status

  - ### Constructor Detail

    - #### StepExecutionInstanceData

          public StepExecutionInstanceData()